%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pyver %(python -c 'import sys ; print sys.version[:3]')

Summary: A collaborative, networked system to detect and block spam.
Name: pyzor
Version: 0.5.0
Release: 4.art
License: GPL
Group: Networking/Mail
URL: http://pyzor.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/pyzor/%{name}-%{version}.tar.gz
Patch0: pyzor-0.4.0-digest.patch
Patch1: patch-pyzor-debian-mbox
Patch2: patch-pyzor-handle_unknown_encodings
Patch3: patch-pyzor-unknowntype
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: python-devel >= 2.2.1
#Requires: %{python_libdir}

%description
Pyzor is a collaborative, networked system to detect and block spam
using identifying digests of messages.

Pyzor initially started out to be merely a Python implementation of
Razor, but due to the protocol and the fact that Razor's server is not
Open Source or software libre, I decided to impelement Pyzor with a
new protocol and release the entire system as Open Source and software
libre.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p0
#%patch2 -p0
#%patch3 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf %{buildroot}
install -m755 -d %{buildroot}%{python_sitelib}/pyzor
install -p -m644 build/lib/pyzor/* %{buildroot}%{python_sitelib}/pyzor
install -m755 -d %{buildroot}%{_bindir}
install -p -m755 build/scripts-%{pyver}/* %{buildroot}%{_bindir}
%__python -c 'from compileall import *; compile_dir("'%{buildroot}'/%{python_sitelib}",10,"%{python_sitelib}")'
%__python -O -c 'from compileall import *; compile_dir("'%{buildroot}'/%{python_sitelib}",10,"%{python_sitelib}")'
chmod -R a+rX %{buildroot}/%{python_sitelib}/pyzor %{buildroot}%{_bindir}/pyzor*


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}/pyzor
%doc docs/usage.html COPYING NEWS README THANKS UPGRADING PKG-INFO
%attr(0644,root,root) %{python_sitelib}/pyzor/client.py*
%attr(0644,root,root) %{python_sitelib}/pyzor/server.py*
%attr(0644,root,root) %{python_sitelib}/pyzor/__init__.py*
%attr(0755,root,root) %{_bindir}/pyzor
%attr(0755,root,root) %{_bindir}/pyzord

%changelog
* Mon Nov 2 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.5.0-1
- Update to 0.5.0

* Mon Apr 30 2007 Scott R. Shinn <scott@atomicrocketturtle.com>
- bump to -11 to overrid FC5/6 extras version

* Wed Apr 18 2007 Scott R. Shinn <scott@atomicrocketturtle.com>
- bump to -10 to override a FC4 extras naming convention
- added patch-pyzor-unknowntype
- added patch-pyzor-handle_unknown_encodings
- added patch-pyzor-debian-mbox

* Mon Feb 20 2006 Scott R. Shinn <scott@atomicrocketturtle.com>
- import into ART

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix digest TypeError bug.

* Wed Feb  9 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix python burn in (Jens Dreger <dreger@physik.fu-berlin.de>).

* Fri May  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
